Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Не получается установить Shadowsocks на сервер.  (Прочитано 749 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Mishka2

  • Автор темы
  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Всем привет.
Не получается установить Shadowsocks на сервер Ubuntu.

Захожу на новосозданный сервер по SSH, через программу PyTTY.
Ввожу команду: apt update
Бегут строчки, и конечная фраза такая - Reading package lists... Done

Ввожу команду: apt-get update
Бегут строчки, и конечная фраза такая - Reading package lists... Done

Ввожу команду: apt install shadowsocks-libev
Конечная фраза такая - E: Unable to locate package shadowsocks-libev

Что я делаю не верно?

Использовал два различный облачных провайдеров: Vdsina и RuVDS, с системами Ubuntu 14.04.5 LTS и Ubuntu 16.04 LTS, соответственно.

Читал различные форумы, офф.сайты и wiki. Делал описанные там инструкции, но так и не удалось установить Shadowsocks.

Пожалуйста подскажите, что я делаю не так (а проблема, исключительно, в этом)... В линуксе новичок.

Пользователь добавил сообщение 22 Декабрь 2017, 18:17:03:
Если нужна дополнительная информация - напишу...
« Последнее редактирование: 22 Декабрь 2017, 18:17:03 от Mishka2 »

Оффлайн DoctorRover

  • СуперМодератор
  • Старожил
  • *
  • Сообщений: 1560
  • Ubuntu 17.10
    • Просмотр профиля
Re: Не получается установить Shadowsocks на сервер.
« Ответ #1 : 23 Декабрь 2017, 16:15:58 »
Судя по всему, Shadowsocks появился в стандартных репозиториях Ubuntu начиная с версии 16.10. Команды, которые вы вводили, предназначены именно для этих версий Ubuntu. В 14.04 и 16.04 пакета shadowsocks-libev просто нет в стандартных репозиториях, о чём и говорит "конечная фраза".

Попробуйте инструкции для соответствующих версий Ubuntu, приведенные по этой ссылке:
https://gist.github.com/zhiguangwang/7018fbc0a38a5b663868
You're never too old to Rock'n'Roll if you're too young to die.

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 25319
    • Просмотр профиля
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

Оффлайн dudkin2005

  • Новичок
  • *
  • Сообщений: 1
    • Просмотр профиля
Re: Не получается установить Shadowsocks на сервер.
« Ответ #3 : 05 Февраль 2018, 23:30:18 »
что делать если выходит при установке shadowsocks You are using pip version 8.1.1, however version 9.0.1 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

Оффлайн AnrDaemon

  • Заслуженный пользователь
  • Старожил
  • *
  • Сообщений: 25319
    • Просмотр профиля
Re: Не получается установить Shadowsocks на сервер.
« Ответ #4 : 05 Февраль 2018, 23:35:17 »
Ничего.
Хотите получить помощь? Потрудитесь представить запрошенную информацию в полном объёме.

Прежде чем [Отправить], нажми [Просмотр] и прочти собственное сообщение. Сам-то понял, что написал?…

 

Страница сгенерирована за 0.163 секунд. Запросов: 23.